List of knowledge base topics
List knowledge base topics
get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics
Response
200
Response
200
get/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics
Authentication
200
Create knowledge base topic
post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics
Body
application/json
Body
application/json
CreateKnowledgeBaseTopicBody
* Additional properties are NOT allowed.
namestringrequired
>= 1 characters
contentstringrequired
>= 1 characters
actionsstring
exampleQueriesobject
* Additional properties are NOT allowed.
Show Child Parameters
isActiveboolean
Response
201
Response
201
Created topic
post/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics
Authentication
Body
{
"name": "name",
"content": "content"
}
201
Get knowledge base topic
get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
Response
Response
Knowledge base topic
get/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
Authentication
Delete knowledge base topic
delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
Response
204
Response
204
Topic deleted
delete/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
Authentication
204
Update knowledge base topic
patch
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
Body
application/json
Body
application/json
UpdateKnowledgeBaseTopicBody
* Additional properties are NOT allowed.
namestring
>= 1 characters
contentstring
actionsstring
exampleQueriesobject
* Additional properties are NOT allowed.
Show Child Parameters
isActiveboolean
Response
Response
Topic updated
patch/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId}
Authentication
Body
{}